//
//  Location+CoreDataProperties.swift
//  MyLocations
//
//  Created by Kary Clements on 1/20/18.
//  Copyright © 2018 Kary Clements. All rights reserved.
//
//

import Foundation
import CoreData
import CoreLocation


extension Location {

    @nonobjc public class func fetchRequest() -> NSFetchRequest<Location> {
        return NSFetchRequest<Location>(entityName: "Location")
    }

    @NSManaged public var latitude: Double
    @NSManaged public var longitude: Double
    @NSManaged public var date: Date?
    @NSManaged public var locationDescription: String
    @NSManaged public var placemark: CLPlacemark?
    @NSManaged public var category: String
    @NSManaged public var photoID: NSNumber?

}
